National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-3327 Detail

Description

Cross-site scripting (XSS) vulnerability in IBM Maximo Asset Management 6.2 through 7.5, Maximo Asset Management Essentials 6.2 through 7.5, Tivoli Asset Management for IT 6.2 through 7.2, Tivoli Service Request Manager 7.1 and 7.2, Maximo Service Desk 6.2, Change and Configuration Management Database (CCMDB) 7.1 and 7.2, and SmartCloud Control Desk 7.5 allows remote attackers to inject arbitrary web script or HTML via vectors related to a login action.

Source:  MITRE      Last Modified:  02/20/2013

Quick Info

CVE Dictionary Entry:
CVE-2012-3327
Original release date:
02/20/2013
Last revised:
08/28/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
4.3 MEDIUM
Vector:
(AV:N/AC:M/Au:N/C:N/I:P/A:N) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
8.6
CVSS Version 2 Metrics:
Access Vector:
Network exploitable - Victim must voluntarily interact with attack mechanism
Access Complexity:
Medium
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://www-01.ibm.com/support/docview.wss?uid=swg1IV22698 External Source AIXAPAR IV22698
http://www-01.ibm.com/support/docview.wss?uid=swg21625624 Vendor Advisory External Source CONFIRM http://www-01.ibm.com/support/docview.wss?uid=swg21625624
https://exchange.xforce.ibmcloud.com/vulnerabilities/78039 External Source XF mam-login-xss(78039)

Technical Details

Vulnerability Type (View All)

  • Cross-Site Scripting (XSS) (CWE-79)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:ibm:maximo_asset_management:6.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.6:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.6.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:6.2.8:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.6:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.8:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.9:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.10:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.1.1.11:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management:7.5.0.0:*:*:*:*:*:*:*
Configuration 2
OR
cpe:2.3:a:ibm:maximo_asset_management_essentials:6.2.0.0:*:*:*:*:*:*:*
cpe:2.3:a:ibm:maximo_asset_management_essentials:7.5.0.0:*:*:*:*:*:*:*
Configuration 3
OR
cpe:2.3:a:ibm:tivoli_asset_management_for_it:6.0:*:*:*:*:*:*:*
cpe:2.3:a:ibm:tivoli_asset_management_for_it:6.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:tivoli_asset_management_for_it:7.0:*:*:*:*:*:*:*
cpe:2.3:a:ibm:tivoli_asset_management_for_it:7.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:tivoli_asset_management_for_it:7.2:*:*:*:*:*:*:*
Configuration 4
OR
cpe:2.3:a:ibm:tivoli_service_request_manager:7.1.0:*:*:*:*:*:*:*
cpe:2.3:a:ibm:tivoli_service_request_manager:7.1.0.0:*:*:*:*:*:*:*
cpe:2.3:a:ibm:tivoli_service_request_manager:7.2.0.0:*:*:*:*:*:*:*
Configuration 5
OR
cpe:2.3:a:ibm:maximo_service_desk:6.2:*:*:*:*:*:*:*
Configuration 6
OR
cpe:2.3:a:ibm:change_and_configuration_management_database:7.1.:*:*:*:*:*:*:*
cpe:2.3:a:ibm:change_and_configuration_management_database:7.2.0:*:*:*:*:*:*:*
Configuration 7
OR
cpe:2.3:a:ibm:smartcloud_control_desk:7.5.0.0:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes